//  main: main.less, out: ../style.css

/* ====================================================================================================================================
OBJECTS
======================================================================================================================================*/

// BUTTONS
.o-button {
    position: relative;
    display: inline-block;
    font-size: @button__size;
    font-family: @font_titles;
    font-weight: @font_w__r;
    color: @color__primary;
    text-align: center;
    height: @button__height;
    min-width: 60px;
    line-height: @button__height;
    border: none;
    z-index: 0;
    &.white {
        color: @color__white;
        &:after {
            background-image: url('./images/icn-arrow-white.svg');
        }

    }
    &.small {
        font-size: @size__s;
        font-weight: @font_w__b;
        color: @color__primary;
        height: 1em;
        line-height: 1em;
        text-decoration: underline;
        &:after {
            display: none;
        }
    }
    &.withText {
        padding-right: 70px;
    }
    &:after {
        position: absolute;
        content: '';
        display: block;
        margin-top: -7px;
        top: 50%;
        right: 0;
        height: 14px;
        width: 60px;
        background-image: url('./images/icn-arrow.svg');
        background-repeat: no-repeat;
        background-size: contain;
        background-position: center right;
        .transition-std;
    }
    &:hover:after {
        right: -5px;
    }
}

.edit-link {
    position: fixed;
    bottom: @margin__m;
    left: @margin__m;
    height: @margin__m;
    width: @margin__m;
    line-height: @margin__m;
    text-align: center;
    background-color: @color__primary;
    text-transform: uppercase;
    font-weight: @font_w__b;
    font-size: @size__xs;
    overflow: hidden;
    .u-border-radius(100%);
    z-index: 999;
    > * {
        color: white!important;
    }

    @media @media_smartphone {
        display: none;
    }
}